Strings
Collaboration diagram for Strings:

## Classes

class | std::basic_string< _CharT, _Traits, _Alloc >
struct | std::char_traits< _CharT >

## Typedefs

typedef basic_string< char > | std::string
typedef basic_string< char16_t > | std::u16string
typedef basic_string< char32_t > | std::u32string
typedef basic_string< wchar_t > | std::wstring

## Detailed Description

## Typedef Documentation

typedef basic_string<char> std::string

A string of `char`.

Definition at line 62 of file stringfwd.h.

typedef basic_string<char16_t> std::u16string

A string of `char16_t`.

Definition at line 78 of file stringfwd.h.

typedef basic_string<char32_t> std::u32string

A string of `char32_t`.

Definition at line 81 of file stringfwd.h.

typedef basic_string<wchar_t> std::wstring

A string of `wchar_t`.

Definition at line 68 of file stringfwd.h.